variables:
  # Kubernetes resources
  KUBERNETES_CPU_REQUEST:
    value: 4
    description: ''
  KUBERNETES_MEMORY_REQUEST:
    value: 4G
    description: ''
  KUBERNETES_EPHEMERAL_STORAGE_REQUEST:
    value: 4G
    description: ''

  # configs variables
  CONFIGS_PARENT_PATH:
    value: 'linaro/qcomlt/ci'
    description: ''
  CONFIGS_PATH:
    value: '$CONFIGS_PARENT_PATH/configs'
    description: ''
  CONFIGS_RAW_URL:
    value: 'https://git.codelinaro.org/$CONFIGS_PATH/-/raw/master'
    description: ''
  QCOM_LANDING_TEAM_PATH:
    value: 'linaro/qcomlt'
    description: ''
  CONFIGS_PIPELINE:
    value: ''
    description: 'Pipeline path to be triggered'

  # Poll's trigger variables
  TRIGGER:
    value: ''
    description: 'Pipeline to trigger'
  FORCE_TRIGGER:
    value: 'false'
    description: 'Force pipeline to trigger even if no diff changes'
  DRY_RUN_TRIGGER:
    value: 'false'
    description: 'Trigger mock pipeline in case of dry-run'

  # CLO variables
  PUBLISH_SERVER:
    value: 'https://snapshots.linaro.org/'
    description: 'CodeLinaro publish server'
  PUBLISH_ARTIFACTS:
    value: 'true'
    description: 'Boolean value that defines whether to publish or not'
  PUB_DEST_PREFIX:
    value: 'clo/'
    description: 'Publish destination prefix. NOTE: Some pipeline overwrite this variable.'

  # email variables
  SEND_EMAIL:
    value: 'true'
    description: 'Defines whether to send an email or no'
  USER_EMAIL:
    value: 'neil.armstrong@linaro.org'
    description: ''
  TO_EMAILS:
    value: 'neil.armstrong@linaro.org'
    description: ''

  # test ovariables
  LAVA_SERVER:
    value: 'https://validation.linaro.org/RPC2/'
    description: 'LAVA Server'
  QA_SERVER:
    value: 'https://qa-reports.linaro.org'
    description: 'QA Server'
  QA_SERVER_GROUP:
    value: 'qcomlt'
    description: 'QA Server Group'
  DRY_RUN_SUBMIT_LAVA_TESTING:
    value: 'true'
    description: 'Dry-run LAVA testing'
